#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	User interface library
Summary(pl.UTF-8):	Biblioteka interfejsu użytkownika
Name:		girara
Version:	0.4.5
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	https://pwmt.org/projects/girara/download/%{name}-%{version}.tar.xz
# Source0-md5:	ec14bf17e208951d367ced43b0259171
URL:		http://pwmt.org/projects/girara
# C17
BuildRequires:	gcc >= 6:8.1
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.72.0
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	json-glib-devel
BuildRequires:	meson >= 0.61
BuildRequires:	ninja
BuildRequires:	pango-devel >= 1:1.50
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.72.0
Requires:	gtk+3 >= 3.24
Requires:	pango >= 1:1.50
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
girara is a library that implements a user interface that focuses on
simplicity and minimalism. Currently based on GTK+, a cross-platform
widget toolkit, it provides an interface that focuses on three main
components: A so-called view widget that represents the actual
application (e.g. a website (browser), an image (image viewer) or the
document (document viewer)), an input bar that is used to execute
commands of the application and the status bar which provides the user
with current information. girara was designed to replace and enhance
the user interface that is used by zathura and jumanji and other
features that those applications share.

%description -l pl.UTF-8
girara to biblioteka implementująca interfejs użytkownika skupiający
się na prostocie i minimalizmie. Obecnie jest oparty na GTK+ -
wieloplatformowym toolkicie widgetów - zapewnia interfejs o trzech
głównych komponentach: tzw. widgecie widoku, reprezentującym właściwą
aplikację (np. stronę dla przeglądarki WWW, obraz dla przeglądarki
obrazków czy dokument dla przeglądarki dokumentów), pasku wprowadzania
służącym do wydawania poleceń oraz pasku stanu udostępniającym
użytkownikowi aktualne informacje. girara została zaprojektowana w
celu zastąpienia i rozszerzenia interfejsu użytkownika używanego przez
aplikacje zathura i jumanji, a także innych funkcji dzielonych przez
te aplikacje.

%package devel
Summary:	Header files for girara library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki girara
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.72.0
Requires:	gtk+3-devel >= 3.24
Requires:	json-glib-devel
Requires:	pango-devel >= 1:1.50

%description devel
Header files for girara library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki girara.

%package static
Summary:	Girara static library
Summary(pl.UTF-8):	Statyczna biblioteka girara
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Girara static library.

%description static -l pl.UTF-8
Statyczna biblioteka girara.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fa_IR,fa}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{uk_UA,uk}

%find_lang libgirara-gtk3-4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libgirara-gtk3-4.lang
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgirara-gtk3.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so
%{_includedir}/girara
%{_pkgconfigdir}/girara-gtk3.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgirara-gtk3.a
%endif
%changelog
* Thu Dec 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/girara.git;a=log;h=master

* Tue Dec 10 2024 Jan Palus <atler@pld-linux.org> f12ba49
- up to 0.4.5

* Fri May 10 2024 Jan Palus <atler@pld-linux.org> 7ed038c
- up to 0.4.4 (new soname)

* Wed Feb 07 2024 Jan Palus <atler@pld-linux.org> f5e7095
- up to 0.4.2

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> a804969
- updated C std comment

* Sat Dec 09 2023 Jan Palus <atler@pld-linux.org> 3517ada
- add static_libs bcond

* Sat Dec 09 2023 Jan Palus <atler@pld-linux.org> fa2829c
- up to 0.4.1

* Wed Apr 19 2023 Jan Palus <atler@pld-linux.org> fc54957
- up to 0.4.0

* Thu Jan 26 2023 Jan Palus <atler@pld-linux.org> 4ee3adf
- up to 0.3.9

* Thu Nov 17 2022 Jan Palus <atler@pld-linux.org> cf9b7dd
- up to 0.3.7

* Thu Jul 15 2021 Jan Palus <atler@pld-linux.org> 5ca2333
- up to 0.3.6

* Sat Aug 15 2020 Jakub Bogusz <qboosh@pld-linux.org> b8bc390
- unify fa[_IR] and uk[_UA] locale codes instead of removing

* Sun Aug 02 2020 Jan Palus <atler@pld-linux.org> 5372102
- up to 0.3.5

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 4d82178
- release 2 (json-c soname change)

* Thu Feb 06 2020 Jan Palus <atler@pld-linux.org> 71eea03
- up to 0.3.4

* Fri Oct 18 2019 Jan Palus <atler@pld-linux.org> 382cffb
- up to 0.3.3

* Tue Dec 25 2018 Jan Palus <atler@pld-linux.org> 960dd24
- up to 0.3.2

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 5dc73da
- updated dependencies, actually enable libnotify; release 2

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 9395468
- up to 0.3.1

* Wed May 23 2018 Jan Palus <atler@pld-linux.org> 2c35ced
- up to 0.3.0

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> bc02e13
- release 3 (by relup.sh)

